library package needs to be renamed (libstdc++ allocator change)

Bug #25853 reported by Debian Bug Importer on 2005-11-17
4
Affects Status Importance Assigned to Milestone
id3lib3.8.3 (Debian)
Fix Released
Unknown
id3lib3.8.3 (Ubuntu)
High
Matthias Klose

Bug Description

Automatically imported from Debian bug report #339186 http://bugs.debian.org/339186

On Tue, Nov 15, 2005 at 07:55:58AM +0100, Matthias Klose wrote:
> Package: id3lib3.8.3
> Severity: important
>
> Please do not take any action before reading
> http://lists.debian.org/debian-devel-announce/2005/11/msg00010.html
>
> This bug report is filed against the source package which builds
> a library depending on libstdc++6 and defining or referencing
> *mt_alloc* symbols. The package has to be rebuilt with either
> g++-4.0_4.0.2-4 or g++-3.4_3.4.4-10 (or newer). Please rename the
> library package to a name with a "c2a" suffix, and adjust the build
> dependencies if dependencies on another renamed library do exist.

Can my libid3-3.8.3c2a package include a 'Provides: libid3-3.8.3c2', or do I
need to let the people who use my library know they need to rebuild as well?
--
Robert Woodcock - <email address hidden>
"Learn more about paranoids - follow them around."
 -- seen on slashdot

Robert Woodcock writes:
> On Tue, Nov 15, 2005 at 07:55:58AM +0100, Matthias Klose wrote:
> > Package: id3lib3.8.3
> > Severity: important
> >
> > Please do not take any action before reading
> > http://lists.debian.org/debian-devel-announce/2005/11/msg00010.html
> >
> > This bug report is filed against the source package which builds
> > a library depending on libstdc++6 and defining or referencing
> > *mt_alloc* symbols. The package has to be rebuilt with either
> > g++-4.0_4.0.2-4 or g++-3.4_3.4.4-10 (or newer). Please rename the
> > library package to a name with a "c2a" suffix, and adjust the build
> > dependencies if dependencies on another renamed library do exist.
>
> Can my libid3-3.8.3c2a package include a 'Provides: libid3-3.8.3c2', or do I
> need to let the people who use my library know they need to rebuild as well?

think about it ... it *must not* provide the old one. the reason is
that people *have* to rebuild depending packages.

  Matthias

Compiler versions g++-4.0_4.0.2-4 and g++-3.4_3.4.4-10 are now in the
archive. The renaming of the library packages can now start. You can
upload the packages even before the toolchain is built for all architectures
because the packages with the new binary packages will be hold in the NEW
queue until the required toolchain changes are installed on the buildd's.

Download full text (3.3 KiB)

severity 339142 serious
severity 339143 serious
severity 339144 serious
severity 339145 serious
severity 339146 serious
severity 339147 serious
severity 339148 serious
severity 339149 serious
severity 339150 serious
severity 339151 serious
severity 339152 serious
severity 339153 serious
severity 339154 serious
severity 339155 serious
severity 339156 serious
severity 339157 serious
severity 339158 serious
severity 339159 serious
severity 339160 serious
severity 339161 serious
severity 339162 serious
severity 339163 serious
severity 339164 serious
severity 339165 serious
severity 339166 serious
severity 339167 serious
severity 339168 serious
severity 339169 serious
severity 339170 serious
severity 339171 serious
severity 339172 serious
severity 339173 serious
severity 339174 serious
severity 339175 serious
severity 339176 serious
severity 339177 serious
severity 339178 serious
severity 339179 serious
severity 339180 serious
severity 339181 serious
severity 339182 serious
severity 339183 serious
severity 339184 serious
severity 339185 serious
severity 339186 serious
severity 339187 serious
severity 339188 serious
severity 339189 serious
severity 339190 serious
severity 339191 serious
severity 339192 serious
severity 339193 serious
severity 339194 serious
severity 339195 serious
severity 339196 serious
severity 339197 serious
severity 339198 serious
severity 339199 serious
severity 339200 serious
severity 339201 serious
severity 339202 serious
severity 339203 serious
severity 339204 serious
severity 339205 serious
severity 339206 serious
severity 339207 serious
severity 339208 serious
severity 339209 serious
severity 339210 serious
severity 339211 serious
severity 339212 serious
severity 339213 serious
severity 339214 serious
severity 339215 serious
severity 339216 serious
severity 339217 serious
severity 339218 serious
severity 339219 serious
severity 339220 serious
severity 339221 serious
severity 339222 serious
severity 339223 serious
severity 339224 serious
severity 339225 serious
severity 339226 serious
severity 339227 serious
severity 339228 serious
severity 339229 serious
severity 339230 serious
severity 339231 serious
severity 339232 serious
severity 339233 serious
severity 339234 serious
severity 339235 serious
severity 339236 serious
severity 339237 serious
severity 339238 serious
severity 339239 serious
severity 339240 serious
severity 339241 serious
severity 339242 serious
severity 339243 serious
severity 339244 serious
severity 339245 serious
severity 339246 serious
severity 339247 serious
severity 339248 serious
severity 339249 serious
severity 339250 serious
severity 339251 serious
severity 339252 serious
severity 339253 serious
severity 339254 serious
severity 339255 serious
severity 339256 serious
severity 339257 serious
severity 339258 serious
severity 339259 serious
severity 339260 serious
severity 339261 serious
severity 339262 serious
severity 339263 serious
severity 339264 serious
severity 339265 serious
severity 339266 serious
severity 339267 serious
severity 339268 serious
severity 339269 serious
severity 339270 serious
severity 339271 serious
severity 339272 serious
severity 339273 serious
severity 339274 serious
severity...

Read more...

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #339186 http://bugs.debian.org/339186

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 15 Nov 2005 07:55:58 +0100 (MET)
From: Matthias Klose <email address hidden>
To: <email address hidden>
Subject: library package needs to be renamed (libstdc++ allocator change)

Package: id3lib3.8.3
Severity: important

Please do not take any action before reading
http://lists.debian.org/debian-devel-announce/2005/11/msg00010.html

This bug report is filed against the source package which builds
a library depending on libstdc++6 and defining or referencing
*mt_alloc* symbols. The package has to be rebuilt with either
g++-4.0_4.0.2-4 or g++-3.4_3.4.4-10 (or newer). Please rename the
library package to a name with a "c2a" suffix, and adjust the build
dependencies if dependencies on another renamed library do exist.

Do *not* yet upload the package, but wait for a followup mail to this
bug report.

If this bug report is for some reason invalid, please close it with
a short reasoning.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 15 Nov 2005 07:13:00 -0800
From: Robert Woodcock <email address hidden>
To: Matthias Klose <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#339186: library package needs to be renamed (libstdc++ allocator change)

On Tue, Nov 15, 2005 at 07:55:58AM +0100, Matthias Klose wrote:
> Package: id3lib3.8.3
> Severity: important
>
> Please do not take any action before reading
> http://lists.debian.org/debian-devel-announce/2005/11/msg00010.html
>
> This bug report is filed against the source package which builds
> a library depending on libstdc++6 and defining or referencing
> *mt_alloc* symbols. The package has to be rebuilt with either
> g++-4.0_4.0.2-4 or g++-3.4_3.4.4-10 (or newer). Please rename the
> library package to a name with a "c2a" suffix, and adjust the build
> dependencies if dependencies on another renamed library do exist.

Can my libid3-3.8.3c2a package include a 'Provides: libid3-3.8.3c2', or do I
need to let the people who use my library know they need to rebuild as well?
--
Robert Woodcock - <email address hidden>
"Learn more about paranoids - follow them around."
 -- seen on slashdot

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 16 Nov 2005 05:30:01 +0100
From: Matthias Klose <email address hidden>
To: Robert Woodcock <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#339186: library package needs to be renamed (libstdc++ allocator change)

Robert Woodcock writes:
> On Tue, Nov 15, 2005 at 07:55:58AM +0100, Matthias Klose wrote:
> > Package: id3lib3.8.3
> > Severity: important
> >
> > Please do not take any action before reading
> > http://lists.debian.org/debian-devel-announce/2005/11/msg00010.html
> >
> > This bug report is filed against the source package which builds
> > a library depending on libstdc++6 and defining or referencing
> > *mt_alloc* symbols. The package has to be rebuilt with either
> > g++-4.0_4.0.2-4 or g++-3.4_3.4.4-10 (or newer). Please rename the
> > library package to a name with a "c2a" suffix, and adjust the build
> > dependencies if dependencies on another renamed library do exist.
>
> Can my libid3-3.8.3c2a package include a 'Provides: libid3-3.8.3c2', or do I
> need to let the people who use my library know they need to rebuild as well?

think about it ... it *must not* provide the old one. the reason is
that people *have* to rebuild depending packages.

  Matthias

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 17 Nov 2005 03:21:31 +0100 (MET)
From: Matthias Klose <email address hidden>
To: <email address hidden>
Subject: Re: library package needs to be renamed (libstdc++ allocator change)

Compiler versions g++-4.0_4.0.2-4 and g++-3.4_3.4.4-10 are now in the
archive. The renaming of the library packages can now start. You can
upload the packages even before the toolchain is built for all architectures
because the packages with the new binary packages will be hold in the NEW
queue until the required toolchain changes are installed on the buildd's.

Debian Bug Importer (debzilla) wrote :
Download full text (3.5 KiB)

Message-ID: <email address hidden>
Date: Thu, 17 Nov 2005 03:25:34 +0100
From: Matthias Klose <email address hidden>
To: <email address hidden>
Subject: raise severity of bug reports filed for libstdc++ allocator changes

severity 339142 serious
severity 339143 serious
severity 339144 serious
severity 339145 serious
severity 339146 serious
severity 339147 serious
severity 339148 serious
severity 339149 serious
severity 339150 serious
severity 339151 serious
severity 339152 serious
severity 339153 serious
severity 339154 serious
severity 339155 serious
severity 339156 serious
severity 339157 serious
severity 339158 serious
severity 339159 serious
severity 339160 serious
severity 339161 serious
severity 339162 serious
severity 339163 serious
severity 339164 serious
severity 339165 serious
severity 339166 serious
severity 339167 serious
severity 339168 serious
severity 339169 serious
severity 339170 serious
severity 339171 serious
severity 339172 serious
severity 339173 serious
severity 339174 serious
severity 339175 serious
severity 339176 serious
severity 339177 serious
severity 339178 serious
severity 339179 serious
severity 339180 serious
severity 339181 serious
severity 339182 serious
severity 339183 serious
severity 339184 serious
severity 339185 serious
severity 339186 serious
severity 339187 serious
severity 339188 serious
severity 339189 serious
severity 339190 serious
severity 339191 serious
severity 339192 serious
severity 339193 serious
severity 339194 serious
severity 339195 serious
severity 339196 serious
severity 339197 serious
severity 339198 serious
severity 339199 serious
severity 339200 serious
severity 339201 serious
severity 339202 serious
severity 339203 serious
severity 339204 serious
severity 339205 serious
severity 339206 serious
severity 339207 serious
severity 339208 serious
severity 339209 serious
severity 339210 serious
severity 339211 serious
severity 339212 serious
severity 339213 serious
severity 339214 serious
severity 339215 serious
severity 339216 serious
severity 339217 serious
severity 339218 serious
severity 339219 serious
severity 339220 serious
severity 339221 serious
severity 339222 serious
severity 339223 serious
severity 339224 serious
severity 339225 serious
severity 339226 serious
severity 339227 serious
severity 339228 serious
severity 339229 serious
severity 339230 serious
severity 339231 serious
severity 339232 serious
severity 339233 serious
severity 339234 serious
severity 339235 serious
severity 339236 serious
severity 339237 serious
severity 339238 serious
severity 339239 serious
severity 339240 serious
severity 339241 serious
severity 339242 serious
severity 339243 serious
severity 339244 serious
severity 339245 serious
severity 339246 serious
severity 339247 serious
severity 339248 serious
severity 339249 serious
severity 339250 serious
severity 339251 serious
severity 339252 serious
severity 339253 serious
severity 339254 serious
severity 339255 serious
severity 339256 serious
severity 339257 serious
severity 339258 serious
severity 339259 serious
severity 339260 serious
severity 339261 serious
severity 339262 serious
severity 339263 serious
severity 339264 serious
se...

Read more...

Source: id3lib3.8.3
Source-Version: 3.8.3-5

We believe that the bug you reported is fixed in the latest version of
id3lib3.8.3, which is due to be installed in the Debian FTP archive:

id3lib3.8.3_3.8.3-5.diff.gz
  to pool/main/i/id3lib3.8.3/id3lib3.8.3_3.8.3-5.diff.gz
id3lib3.8.3_3.8.3-5.dsc
  to pool/main/i/id3lib3.8.3/id3lib3.8.3_3.8.3-5.dsc
libid3-3.8.3-dev_3.8.3-5_i386.deb
  to pool/main/i/id3lib3.8.3/libid3-3.8.3-dev_3.8.3-5_i386.deb
libid3-3.8.3c2a_3.8.3-5_i386.deb
  to pool/main/i/id3lib3.8.3/libid3-3.8.3c2a_3.8.3-5_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Woodcock <email address hidden> (supplier of updated id3lib3.8.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 11:33:52 -0800
Source: id3lib3.8.3
Binary: libid3-3.8.3-dev libid3-3.8.3c2a
Architecture: source i386
Version: 3.8.3-5
Distribution: unstable
Urgency: low
Maintainer: Robert Woodcock <email address hidden>
Changed-By: Robert Woodcock <email address hidden>
Description:
 libid3-3.8.3-dev - ID3 Tag Library: Development Libraries and Header Files.
 libid3-3.8.3c2a - Library for manipulating ID3v1 and ID3v2 tags.
Closes: 339186
Changes:
 id3lib3.8.3 (3.8.3-5) unstable; urgency=low
 .
   * Rebuild against g++4.0 4.0.2-4 for C++ library allocator change
     transition and rename library to libid3-3.8.3c2a, closes: #339186
Files:
 7ed055642801721f9114e6af4153dc4d 642 libs optional id3lib3.8.3_3.8.3-5.dsc
 f6f0f77bd29634cbcd25afaf6ee22bcb 133996 libs optional id3lib3.8.3_3.8.3-5.diff.gz
 abafcb9e5cc48d02b7c20dd28edbdc15 253702 libdevel optional libid3-3.8.3-dev_3.8.3-5_i386.deb
 4d3ac1e5c416ea8471d7f2105a20c883 166692 libs optional libid3-3.8.3c2a_3.8.3-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDfi5s9c5o62/wq/IRAhULAJ9Cu2cuhkR8xmlcBdqh6WrK/LtANgCfW+VL
ZoFui1L44aNCm5tErE9N0gg=
=T5Do
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Tue, 22 Nov 2005 11:19:46 -0800
From: Robert Woodcock <email address hidden>
To: <email address hidden>
Subject: Bug#339186: fixed in id3lib3.8.3 3.8.3-5

Source: id3lib3.8.3
Source-Version: 3.8.3-5

We believe that the bug you reported is fixed in the latest version of
id3lib3.8.3, which is due to be installed in the Debian FTP archive:

id3lib3.8.3_3.8.3-5.diff.gz
  to pool/main/i/id3lib3.8.3/id3lib3.8.3_3.8.3-5.diff.gz
id3lib3.8.3_3.8.3-5.dsc
  to pool/main/i/id3lib3.8.3/id3lib3.8.3_3.8.3-5.dsc
libid3-3.8.3-dev_3.8.3-5_i386.deb
  to pool/main/i/id3lib3.8.3/libid3-3.8.3-dev_3.8.3-5_i386.deb
libid3-3.8.3c2a_3.8.3-5_i386.deb
  to pool/main/i/id3lib3.8.3/libid3-3.8.3c2a_3.8.3-5_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Woodcock <email address hidden> (supplier of updated id3lib3.8.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 11:33:52 -0800
Source: id3lib3.8.3
Binary: libid3-3.8.3-dev libid3-3.8.3c2a
Architecture: source i386
Version: 3.8.3-5
Distribution: unstable
Urgency: low
Maintainer: Robert Woodcock <email address hidden>
Changed-By: Robert Woodcock <email address hidden>
Description:
 libid3-3.8.3-dev - ID3 Tag Library: Development Libraries and Header Files.
 libid3-3.8.3c2a - Library for manipulating ID3v1 and ID3v2 tags.
Closes: 339186
Changes:
 id3lib3.8.3 (3.8.3-5) unstable; urgency=low
 .
   * Rebuild against g++4.0 4.0.2-4 for C++ library allocator change
     transition and rename library to libid3-3.8.3c2a, closes: #339186
Files:
 7ed055642801721f9114e6af4153dc4d 642 libs optional id3lib3.8.3_3.8.3-5.dsc
 f6f0f77bd29634cbcd25afaf6ee22bcb 133996 libs optional id3lib3.8.3_3.8.3-5.diff.gz
 abafcb9e5cc48d02b7c20dd28edbdc15 253702 libdevel optional libid3-3.8.3-dev_3.8.3-5_i386.deb
 4d3ac1e5c416ea8471d7f2105a20c883 166692 libs optional libid3-3.8.3c2a_3.8.3-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDfi5s9c5o62/wq/IRAhULAJ9Cu2cuhkR8xmlcBdqh6WrK/LtANgCfW+VL
ZoFui1L44aNCm5tErE9N0gg=
=T5Do
-----END PGP SIGNATURE-----

Matthias Klose (doko) wrote :

synced from unstable

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.